org.apache.hadoop.yarn.security

## Class Permission

- java.lang.Object
- - org.apache.hadoop.yarn.security.Permission

-     public class Permission
      extends Object

  This class contains permissions info for the target object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission(PrivilegedEntity target, Map<AccessType,org.apache.hadoop.security.authorize.AccessControlList> acls)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<AccessType,org.apache.hadoop.security.authorize.AccessControlList>` | `getAcls()`
    `PrivilegedEntity` | `getTarget()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Permission

          public Permission(PrivilegedEntity target,
                            Map<AccessType,org.apache.hadoop.security.authorize.AccessControlList> acls)

  - ### Method Detail

    - #### getAcls

          public Map<AccessType,org.apache.hadoop.security.authorize.AccessControlList> getAcls()

    - #### getTarget

          public PrivilegedEntity getTarget()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.